org.w3c.dom

## Interface Notation

All Superinterfaces:
  Node

All Known Implementing Classes:
  XDBNotation, XMLNotation

    public interface Notation
    extends Node

This interface represents a notation declared in the DTD. A notation either declares, by name, the format of an unparsed entity (see section 4.7 of the XML 1.0 specification ), or is used for formal declaration of processing instruction targets (see section 2.6 of the XML 1.0 specification ). The `nodeName` attribute inherited from `Node` is set to the declared name of the notation.

The DOM Level 1 does not support editing `Notation` nodes; they are therefore readonly.

A `Notation` node does not have any parent.

See also the Document Object Model (DOM) Level 2 Core Specification.

### Field Summary

### Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getPublicId()` The public identifier of this notation.
`java.lang.String` `getSystemId()` The system identifier of this notation.

### Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

### Method Detail

#### getPublicId

    java.lang.String getPublicId()

The public identifier of this notation. If the public identifier was not specified, this is `null`.

#### getSystemId

    java.lang.String getSystemId()

The system identifier of this notation. If the system identifier was not specified, this is `null`.

Copyright © 2000 W3C® (MIT, INRIA, Keio), All Rights Reserved. W3C liability, trademark, document use and software licensing rules apply. This document has been reviewed by W3C Members and other interested parties and has been endorsed by the Director as a W3C Recommendation.